import * as $dara from '@darabonba/typescript';
import { DescribePropertySoftwareDetailResponseBody } from "./DescribePropertySoftwareDetailResponseBody";
export declare class DescribePropertySoftwareDetailResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribePropertySoftwareDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
